Subject: [bug#76864] [PATCH] services: Integrate gnome-keyring service in gnome-desktop service.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 08 Mar 2025 16:02:51 +0100

Am Samstag, dem 08.03.2025 um 23:45 +0900 schrieb Maxim Cournoyer:
> Hi Liliana,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> [...]
> 
> > > @@ -154,6 +154,7 @@ (define-module (gnu services desktop)
> > >              gnome-desktop-configuration-extra-packages
> > >              gnome-desktop-configuration-polkit-ignorelist
> > >              gnome-desktop-configuration-udev-ignorelist
> > > +            gnome-desktop-configuration-gnome-keyring-
> > > configuration
> > I would use a shorter name here.  Perhaps gnome-desktop-
> > configuration-
> > keyring?
> 
> While I agree the naming is a mouthful, I find it necessary to have
> it descriptive enough that it conveys the odd situation where we are
> embedding a configuration object in another configuration :-).
> 
> So I'd keep it as is, knowing it probably will be seldom typed in a
> user operating system config file anyway.
For the field name adding -configuration is fine, but the accessor
should really be shorter.  Compare slim-configuration-xorg or 
gdm-configuration-xorg :)

Cheers